<?php $__env->startSection('title'); ?>
    <?php echo app('translator')->get($page_title); ?>
<?php $__env->stopSection(); ?>

<?php $__env->startSection('content'); ?>

    <div class="bd-callout bd-callout-warning m-0 m-md-4 my-4 m-md-0 ">
        <i class="fas fa-info-circle mr-2"></i> <?php echo app('translator')->get("N.B: Pull up or down the rows to sort the ranking list order that how do you want to display the ranking in admin and user panel."); ?>
    </div>

    <div class="card card-primary m-0 m-md-4 my-4 m-md-0 shadow">
        <div class="card-body">
            <div class="media mb-4 justify-content-end">
                <?php if(adminAccessRoute(config('role.manage_badge.access.add'))): ?>
                    <a href="<?php echo e(route('admin.badgeCreate')); ?>" class="btn btn-sm  btn-primary btn-rounded mr-2">
                        <span><i class="fas fa-plus"></i> <?php echo app('translator')->get('Create New'); ?></span>
                    </a>
                <?php endif; ?>
            </div>

            <div class="table-responsive">
                <table class="categories-show-table table table-hover table-striped">
                    <thead class="thead-dark">
                    <tr>
                        <th scope="col"><?php echo app('translator')->get('Rank Name'); ?></th>
                        <th scope="col"><?php echo app('translator')->get('Rank Lavel'); ?></th>
                        <th scope="col"><?php echo app('translator')->get('Badge Icon'); ?></th>
                        <th scope="col"><?php echo app('translator')->get('Min Invest'); ?></th>
                        <th scope="col"><?php echo app('translator')->get('Min Deposit'); ?></th>
                        <th scope="col"><?php echo app('translator')->get('Min Earning'); ?></th>
                        <th scope="col"><?php echo app('translator')->get('Bonus'); ?></th>
                        <th scope="col"><?php echo app('translator')->get('Status'); ?></th>
                        <?php if(adminAccessRoute(config('role.manage_badge.access.edit')) == true): ?>
                            <th scope="col"><?php echo app('translator')->get('Action'); ?></th>
                        <?php endif; ?>
                    </tr>
                    </thead>

                    <tbody id="sortable">
                    <?php $__empty_1 = true; $__currentLoopData = $allBadges; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $item): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); $__empty_1 = false; ?>
                        <tr data-id="<?php echo e($item->id); ?>">
                            <td data-label="<?php echo app('translator')->get('Rank Name'); ?>">
                                <?php echo app('translator')->get(optional($item->details)->rank_name); ?>
                            </td>
                            <td data-label="<?php echo app('translator')->get('Rank Level'); ?>">
                                <p class="font-weight-bold"><?php echo e(optional($item->details)->rank_level); ?></p>
                            </td>

                            <td data-label="<?php echo app('translator')->get('Rank icon'); ?>">
                                <img src="<?php echo e(getFile(config('location.badge.path').$item->badge_icon)); ?>"
                                     alt="<?php echo app('translator')->get('not found'); ?>" width="60">
                            </td>

                            <td data-label="<?php echo app('translator')->get('Minimum Earning'); ?>">
                                <p class="font-weight-bold"><?php echo e($item->min_invest); ?> <?php echo e(config('basic.currency')); ?></p>
                            </td>

                            <td data-label="<?php echo app('translator')->get('Minimum Earning'); ?>">
                                <p class="font-weight-bold"><?php echo e($item->min_deposit); ?> <?php echo e(config('basic.currency')); ?></p>
                            </td>

                            <td data-label="<?php echo app('translator')->get('Minimum Earning'); ?>">
                                <p class="font-weight-bold"><?php echo e($item->min_earning); ?> <?php echo e(config('basic.currency')); ?></p>
                            </td>

                            <td data-label="<?php echo app('translator')->get('Bonus'); ?>">
                                <p class="font-weight-bold"><?php echo app('translator')->get($item->bonus); ?> <?php echo e(config('basic.currency')); ?></p>
                            </td>

                            <td data-label="<?php echo app('translator')->get('Status'); ?>">
                                <span
                                    class="custom-badge <?php echo e($item->status == 1 ? 'bg-success' : 'bg-danger'); ?>"><?php echo app('translator')->get($item->status == 1 ? 'Active' : 'Deactive'); ?></span>
                            </td>

                            <?php if(adminAccessRoute(config('role.manage_badge.access.edit')) == true): ?>
                                <td data-label="<?php echo app('translator')->get('Action'); ?>">
                                    <?php if(adminAccessRoute(config('role.manage_badge.access.edit'))): ?>
                                        <a href="<?php echo e(route('admin.badgeEdit',$item->id)); ?>"
                                           class="btn btn-sm btn-outline-primary btn-rounded edit-button">
                                            <i class="fa fa-edit" aria-hidden="true"></i>
                                        </a>
                                    <?php endif; ?>
                                </td>
                            <?php endif; ?>
                        </tr>
                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); if ($__empty_1): ?>
                        <tr>
                            <td colspan="100%" class="text-center text-na"><?php echo app('translator')->get('No Data Found'); ?></td>
                        </tr>
                    <?php endif; ?>
                    </tbody>
                </table>
            </div>
        </div>
    </div>


<?php $__env->stopSection(); ?>

<?php $__env->startPush('style-lib'); ?>
    <link rel="stylesheet" href="<?php echo e(asset('assets/admin/css/jquery-ui.min.css')); ?>">
    <link href="<?php echo e(asset('assets/admin/css/dataTables.bootstrap4.css')); ?>" rel="stylesheet">
<?php $__env->stopPush(); ?>
<?php $__env->startPush('js'); ?>
    <script src="<?php echo e(asset('assets/global/js/jquery-ui.min.js')); ?>"></script>
    <script src="<?php echo e(asset('assets/admin/js/jquery.dataTables.min.js')); ?>"></script>
    <script src="<?php echo e(asset('assets/admin/js/jquery.dataTables.min.js')); ?>"></script>
    <script src="<?php echo e(asset('assets/admin/js/datatable-basic.init.js')); ?>"></script>


    <?php if($errors->any()): ?>
        <?php
            $collection = collect($errors->all());
            $errors = $collection->unique();
        ?>
        <script>
            "use strict";
            <?php $__currentLoopData = $errors; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $error): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
            Notiflix.Notify.Failure("<?php echo e(trans($error)); ?>");
            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
        </script>
    <?php endif; ?>

    <script>
        "use strict";
        $(document).ready(function () {
            $("#sortable").sortable({
                update: function (event, ui) {
                    var methods = [];
                    $('#sortable tr').each(function (key, val) {
                        let methodId = $(val).data('id');
                        methods.push(methodId);
                    });

                    $.ajaxSetup({
                        headers: {
                            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                        }
                    });

                    $.ajax({
                        'url': "<?php echo e(route('admin.sort.badges')); ?>",
                        'method': "POST",
                        'data': {
                            sort: methods
                        },
                        success: function (data) {
                            console.log(data);
                        }

                    });

                }
            });
            $("#sortable").disableSelection();
        });


    </script>
<?php $__env->stopPush(); ?>

<?php echo $__env->make('admin.layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/zgcrrssx/shareholder.firstcheckupltd.com/resources/views/admin/badge/index.blade.php ENDPATH**/ ?>